Name:		camstream
Version:	0.26.3
Release:	2mdk
Summary:	A tool for streaming and saving snapshots from a webcam
License:	GPL
Group:		Video
Url:		http://www.smcc.demon.nl/camstream/

Source:		%name-%version.tar.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
ExcludeArch:	ppc

Buildrequires:  jpeg-devel png-devel zlib1-devel libqt-devel

%description
CamStream is a tool for Webcams and TV grabber cards that allows for streaming 
video from multiple video sources. It can save and/or upload (FTP) timed 
snapshots. It provides a GUI frontend to control the Webcam(s).

%prep

%setup -q

%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix
export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
export UIC=$QTDIR/bin/uic
export MOC=$QTDIR/bin/moc

export CFLAGS="%optflags" CXXFLAGS="%optflags"
./configure --prefix=%_prefix \
	--enable-mt \
	--with-qt-dir=/usr/lib/qt3 \
	--disable-rpath \
	--disable-debug

%make

%install
#make DESTDIR=%buildroot install
%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(camstream):\
command="/usr/bin/camstream" \
icon="video_section.png" \
needs="X11" \
section="Multimedia/Video" \
title="Camstream" \
longtitle="Webcam tool"
EOF
)

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,755)
%doc docs/*
%defattr(-,root,root)
%_bindir/*
%_menudir/*
%dir %_datadir/%name
%_datadir/%name/*

%changelog
* Thu Jun 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.26.3-2mdk
- rebuild

* Sun Nov 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.26.3-1mdk
- 0.26.3

* Sun Apr 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.26.2-2mdk
- adjust buildrequires

* Wed Feb 05 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.26.2-1mdk
- 0.26.2

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.26.1-3mdk
- rebuild

* Mon Oct 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.26.1-2mdk
- from Laurent Grawet <laurent.grawet@ibelgique.com> :
	- Fix in the file section to have good rights on the camstream directory
  	in datadir

* Sun Sep 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.26.1-1mdk
- New version and recompile with qt3

* Tue Apr 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.25-4mdk
- install icons ( and not THE icon ;-) )

* Wed Mar 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.25-3mdk
- icon

* Mon Oct 15 2001 Lenny Cartier <lenny@mandrakesoft.Com> 0.25-2mdk
- rebuilt against new libpng

* Thu Jun 28 2001 Lenny Cartier <lenny@mandrakesoft.Com> 0.25-1mdk
- updated to 0.25

* Thu Mar 15 2001 David BAUDENS <baudens@mandrakesoft.Com> 0.23-3mdk
- Rebuild against Qt 2.3.0

* Thu Jan 04 2001 David BAUDENS <baudens@mandrakesoft.com> 0.23-2mdk
- ExcludeArch: ppc
- Spec clean up

* Wed Dec 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.23-1mdk
- new in contribs
